import {
  AddDatabaseRequest,
  GraphPolarisThemeProvider,
  store,
} from '@graphpolaris/shared/lib/data-access';
import AddDatabaseForm, { AddDatabaseFormProps } from '../index';
import { Provider } from 'react-redux';
import { Meta } from '@storybook/react';
import { ReactFlowProvider } from 'reactflow';

const Component: Meta<typeof AddDatabaseForm> = {
  title: 'Add database form',
  component: AddDatabaseForm,
  decorators: [
    // using the real store here
    (story: () => any) => (
      <Provider store={store}>
        <GraphPolarisThemeProvider>
          <ReactFlowProvider>{story()}</ReactFlowProvider>
        </GraphPolarisThemeProvider>
      </Provider>
    ),
  ],
};

export default Component;

export const Simple = {
  args: { open: true },
};
