import { Edge } from "reactflow";

/**
 * Point that has an x and y coordinate
 */
export interface Point {
    x: number;
    y: number;
}

/**
 * Bounding box described by a top left and bottom right coordinate
 */
export interface BoundingBox {
    topLeft: Point;
    bottomRight: Point;
}

/**
 * List of schema elements for react flow
 */
export type SchemaElements = {
    nodes: Node[];
    edges: Edge[];
    selfEdges: Edge[];
};